# E-Invoice & E-WayBills: Get GSTIN

This API is used to get details of GSTIN.

### URL

```
GET https://cloud.octagst.com/api/octa/einvoice/getgstin?gstin={value}&partygstin={value}
```

### Query Parameters

| Name         | Description                                    | Type      |
| ------------ | ---------------------------------------------- | --------- |
| `gstin`      | It specifies GSTIN of seller GSTIN             | Mandatory |
| `partygstin` | It specifies GSTIN whose details to be fetched | Mandatory |

### Success Response

Response payload will contains the success status along with GSTIN information.

```json
{
  "Success": true,
  "Gstin": "24ACPPM5624F1ZK",
  "TradeName": "SHASTRI  TROLLY WORKS",
  "LegalName": "MANHARBHAI VISHNUBHAI MISTRI",
  "AddrBnm": "TALUKDARI HOSTEL",
  "AddrBno": "SHASTRI TROLLY WORKS",
  "AddrFlno": "",
  "AddrSt": "ASHRAM ROAD",
  "AddrLoc": "NADIAD",
  "StateCode": 24,
  "AddrPncd": 387002,
  "TxpType": "REG",
  "Status": "ACT",
  "BlkStatus": null
}
```

`Status` will have values as 'ACT' (Active) or 'CNL' (Cancelled) or 'INA' (Inactive) or 'PRO' (Provision).

The `blkStatus` indicates the status of blocking of generation of E Way Bill and will have following values

- `U` or `null` for Unblocked
- `B` for blocked

> **Warning:** E-Waybill generation is blocked for tax payers who have not filed the returns for last two months.

### Failure Response

If API request fails for some reason, response payload will contain the failure status and a list of errors.

```json
{
  "Success": false,
  "Errors": [
    {
      "Code": "ERR_CODE_1",
      "Message": "ERR MESSAGE 1"
    },
    {
      "Code": "ERR_CODE_n",
      "Message": "ERR MESSAGE n"
    }
  ]
}
```